Browser requirements

You should be able to create an account and sign in at the Google Accounts homepage if you're using one of these browsers:

  • Google Chrome for Windows, Mac, or Linux
  • Internet Explorer 5.5+ for Windows
  • Netscape 7.1+ for Windows, Mac, or Linux
  • Mozilla 1.4+ for Windows, Mac, or Linux
  • Firefox 0.8+ for Windows, Mac, or Linux
  • Safari 1.2.1+ for Mac

Note: each product on Google Accounts has its own browser requirements, which in some cases may be stricter than those listed above.

hc_author_kelly

Kaley is on the Accounts support team and author of this help page. Please leave suggestions below on how to improve her article.

How helpful is this article:

Feedback recorded. Thanks!
  • Not at all helpful
  • Not very helpful
  • Somewhat helpful
  • Very helpful
  • Extremely helpful